

$(document).ready(function(){
	var sForm = $('#searchform');
	var sToggle = $('#search-toggle');
	var widgets = $('.widget');
	var menuButton = $('#menu-grid');
	var articleOrder = -1;

	// On load, hide the searchform 
	// On load, hide the widgets.
	sForm.toggleClass('hidden');
	widgets.toggleClass('hidden-menu');

	sToggle.on('click', function(){
		
		sForm.toggleClass('hidden');

		// BONUS MARK: make the search field have
		// focus when it is made visible by the click
		// of the button. To do this, we can check
		// if the form is currently NOT hidden. If not, 
		// we can use the jQuery focus() method to
		// put the cursor into the box. This prevents
		// us from putting focus in the search box 
		// when we click to dismiss it.
		

		if(!sForm.hasClass('hidden')){
			$("#search").focus();
		}

	
	});

	// Change cursor, mouseover magnifying glass icon

	sToggle.on('mouseover', function(){
		$(this).css('pointer','cursor');
	})

	menuButton.on('click', function(){
		widgets.toggleClass("hidden-menu");
	});

	menuButton.on('mouseover', function(){
		$(this).css('cursor','pointer');
	});


	// BONUS MARK: make clicked on articles go to the 
	// front of the stack. Obviously not a realistic
	// thing to do here, especially since clicking 
	// a link in the article would trigger this, unless
	// we used the various JS ways to prevent the 
	// propagation of the link to the children. Anyway,
	// we can use the FlexBox Order property to set
	// items propgressively further back in numeric order:
	// with each click the articleOrder variable is 
	// decremented by one.
 

	$('article').on('click', function(){
		$(this).css('order', articleOrder);
		articleOrder--;

	});

});